=== debian/changelog ===
robin-map (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #916311)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 12 Dec 2018 22:37:12 +0100
