=== debian/control ===
Source: robin-map
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11~)
Standards-Version: 4.2.1
Homepage: https://github.com/Tessil/robin-map
Vcs-Git: https://salsa.debian.org/debian/robin-map.git
Vcs-Browser: https://salsa.debian.org/debian/robin-map

Package: robin-map-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: C++ implementation of a fast hash map and hash set
 The robin-map library is a C++ implementation of a fast hash map and
 hash set using open-addressing and linear robin hood hashing with
 backward shift deletion to resolve collisions.
 .
 Four classes are provided: tsl::robin_map, tsl::robin_set,
 tsl::robin_pg_map and  tsl::robin_pg_set.
 The first two are faster and use a power of two growth policy,
 the last two use a prime growth policy instead and are able to cope
 better with a poor hash function.
 Use the prime version if there is a chance of repeating patterns in
 the lower bits of your hash (e.g. you are storing pointers with an
 identity hash function).
