=== debian/changelog ===
robin-map (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: fix URL for upstream tarballs
  * debian/: debhelper bump 11 -> 12
  * debian/control:
    - S-V bump 4.2.1 -> 4.4.1 (no changes needed)
    - RRR set

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 23 Jan 2020 10:02:39 +0100
