=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11~)
-Standards-Version: 4.2.1
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git
 Vcs-Browser: https://salsa.debian.org/debian/robin-map
