## robin-map 0.6.3

=== debian/changelog ===
robin-map (0.6.3-1) UNRELEASED; urgency=medium

  * update

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 May 2022 17:48:48 +0800

robin-map (0.6.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.4.1 -> 4.5.0
  * debian/robin-map-dev.install: usr/share dir added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jul 2020 23:54:28 +0200
