=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12)
-Standards-Version: 4.4.1
+ debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git
