=== debian/changelog ===
robin-map (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.6.0 (no changes needed)
  * debian/copyright: extend copyright timestamp

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Apr 2022 23:15:46 +0200
