=== debian/changelog ===
robin-map (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Apr 2024 21:00:11 +0200
