=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
                                    "robin_map_tests.cpp" 
                                    "robin_set_tests.cpp")
 
-target_compile_features(tsl_robin_map_tests PRIVATE cxx_std_11)
+target_compile_features(tsl_robin_map_tests PRIVATE cxx_std_17)
                                     
 if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
     target_compile_options(tsl_robin_map_tests PRIVATE -Werror -Wall -Wextra -Wold-style-cast -DTSL_DEBUG -UNDEBUG)
@@ -18,7 +18,7 @@
 
 # Boost::unit_test_framework
 set(Boost_USE_STATIC_LIBS ON)
-find_package(Boost 1.54.0 REQUIRED COMPONENTS unit_test_framework)
+find_package(Boost REQUIRED COMPONENTS unit_test_framework)
 target_link_libraries(tsl_robin_map_tests PRIVATE Boost::unit_test_framework)   
 
 # tsl::robin_map
