=== debian/changelog ===
robin-map (1.4.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1113470)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Oct 2025 09:38:15 +0200

robin-map (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.7.0 -> 4.7.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Jul 2025 14:48:58 +0200
