=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/Tessil/robin-map/tags .*/v(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))
