## robin-map 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 
-project(tsl-robin-map VERSION 1.4.0 LANGUAGES CXX)
+project(tsl-robin-map VERSION 1.4.1 LANGUAGES CXX)
 
 include(GNUInstallDirs)
