=== debian/changelog ===
robin-map (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 16 Nov 2025 19:09:11 +0100
