=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git
 Vcs-Browser: https://salsa.debian.org/debian/robin-map
